Label

Retrieving labels

get

Retrieves all tenant labels.

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Query parameters
justOverlaybooleanOptional

Restricts the labels to just the ones which should be printed on the Products as overlay. If the parameter is true, then only the labels with overlay.position >= 1 will be shown. Otherwise, all the labels will be shown.

Example: false
qstringOptional

A standard query parameter is used to search for specific values.

See: Standard practises - Query parameter

pageSizestringOptional

The number of documents to be retrieved per page.

pageNumberstringOptional

The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.

sortstringOptional

List of properties used to sort the results, separated by colons.

fieldsstringOptional

Fields to be returned in the response.

Header parameters
Accept-LanguagestringOptional

The Accept-Language request HTTP header defines which languages the client is able to understand, and which locale variant is preferred.

X-Total-CountbooleanOptional

Flag indicating whether the total number of retrieved results should be returned.

Responses
get
/labels

Creating a label

post

Creates a new label.

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Body
and
Responses
chevron-right
201

The label was successfully created.

application/json
idstringOptional

Unique ID of the label.

namestringOptional

Name of the label.

mediaIdstringOptional

Id of the media.

imagestringOptional

Image URL.

cloudinaryUrlstringOptional

Cludinary path.

descriptionone ofOptional

Localized resource description in a form of a map of translations.

stringOptional
or
post
/labels

Retrieving a label

get

Retrieves a label with the specified label ID.

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
labelIdstringRequired

Unique identifier of the label.

Responses
get
/labels/{labelId}

Updating a label

put

Updates a label with the specified label ID.

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
labelIdstringRequired

Unique identifier of the label.

Body
namestringRequired

Name of the label.

descriptionone ofRequired

Localized resource description in a form of a map of translations.

stringOptional
or
Responses
put
/labels/{labelId}

Deleting a label

delete

Deletes a label with the specified label ID.

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
labelIdstringRequired

Unique identifier of the label.

Body
objectOptional
Responses
delete
/labels/{labelId}

No content

Partially updating a label

patch

Partially updates a label with the specified label ID.

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
labelIdstringRequired

Unique identifier of the label.

Body
namestringRequired

Name of the label.

descriptionone ofRequired

Localized resource description in a form of a map of translations.

stringOptional
or
Responses
patch
/labels/{labelId}

Last updated

Was this helpful?